#ifndef DATACOLLECTION_H_
#define DATACOLLECTION_H_

#include "filetarget.h"

class DataTransform;

class DataCollection: public FileTarget
{
private:
	DataTransform &source;

public:
	DataCollection(Builder &, const Component &, DataTransform &);
private:
	static Msp::FS::Path generate_target_path(const Component &, const Msp::FS::Path &);

public:
	virtual const char *get_type() const { return "DataCollection"; }
	DataTransform &get_source() const { return source; }

private:
	virtual void find_dependencies();
};

#endif
