#ifndef TAR_H_
#define TAR_H_

#include <msp/core/thread.h>
#include "internaltask.h"
#include "tool.h"

class TarBall;

class Tar: public Tool
{
private:
	class Worker: public InternalTask::Worker
	{
	private:
		const TarBall &tarball;

	public:
		Worker(const TarBall &);

	private:
		virtual void main();
		void store_number(char *, unsigned, unsigned);
	};

public:
	Tar(Builder &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual Task *run(const Target &) const;
};

#endif
