#ifndef VIRTUALTARGET_H_
#define VIRTUALTARGET_H_

#include "target.h"

/**
A target that is not associated with any file.
*/
class VirtualTarget: public Target
{
public:
	VirtualTarget(Builder &, const std::string &);

	virtual const char *get_type() const { return "VirtualTarget"; }
private:
	virtual void check_rebuild();

public:
	virtual Task *build();
};

#endif
